﻿@model ContosoUniversity.Models.Thongsovanhanh

@{
    ViewBag.Title = "Edit";
    Layout = "~/Views/Shared/_LayoutCommon.cshtml";
}
<head>
    <script src="https://kit.fontawesome.com/b4077a95f0.js" crossorigin="anonymous"></script>
</head>

<h2 class="subtitle1">Chỉnh sửa chỉ số - thông số vận hành</h2>
<hr>
<style>
    fieldset {
        display: flow-root;
        margin-inline-end: 0px;
        padding: 10px;
        padding-block-start: 0;
        padding-inline-start: 0px;
        padding-inline-end: 0;
        padding-block-end: 0;
        min-inline-size: min-content;
        border-width: 2px;
        /*border-style: groove;*/
        border-style: groove;
        border-color: rgb(192, 192, 192);
        border-image: initial;
        border-radius: 10px;
    }

        fieldset.mainp-2 {
            margin-inline-start: 0px;
            border-width: 0px;
            padding-left: 0px;
            padding-top: 0px;
        }

        fieldset.oner {
            padding-left: 0px;
            padding-top: 0px;
        }


    label.control-label.required::after {
        content: "*";
        color: red;
        font-weight: bold;
        font-size: 130%;
    }

    legend {
        width: auto;
        margin-left: 10px;
        margin-bottom: auto;
        margin-right: 20px;
        border-bottom: none;
    }

    .form-group.col-sm-6 {
        padding: 0;
    }

    .col-xs-1, .col-xs-2, .col-xs-3, .col-xs-4, .col-xs-5, .col-xs-6, .col-xs-7, .col-xs-8, .col-xs-9, .col-xs-10, .col-xs-11, .col-xs-12, .col-sm-1, .col-sm-2, .col-sm-3, .col-sm-4, .col-sm-5, .col-sm-6, .col-sm-7, .col-sm-8, .col-sm-9, .col-sm-10, .col-sm-11, .col-sm-12, .col-md-1, .col-md-2, .col-md-3, .col-md-4, .col-md-5, .col-md-6, .col-md-7, .col-md-8 .col-md-9, .col-md-10, .col-md-11, .col-md-12, .col-lg-1, .col-lg-2, .col-lg-3, .col-lg-4, .col-lg-5, .col-lg-6, .col-lg-7, .col-lg-8, .col-lg-9, .col-lg-10, .col-lg-11, .col-lg-12 {
        padding-left: 10px;
        padding-right: 10px;
    }
    /* màn hình Ipad AIR*/
    @@media screen and (max-width: 719px) {
        .cont1 {
            margin-right: 0px;
            padding: 0;
        }

        .col-xs-1, .col-xs-2, .col-xs-3, .col-xs-4, .col-xs-5, .col-xs-6, .col-xs-7, .col-xs-8, .col-xs-9, .col-xs-10, .col-xs-11, .col-xs-12, .col-sm-1, .col-sm-2, .col-sm-3, .col-sm-4, .col-sm-5, .col-sm-6, .col-sm-7, .col-sm-8, .col-sm-9, .col-sm-10, .col-sm-11, .col-sm-12, .col-md-1, .col-md-2, .col-md-3, .col-md-4, .col-md-5, .col-md-6, .col-md-7, .col-md-8 .col-md-9, .col-md-10, .col-md-11, .col-md-12, .col-lg-1, .col-lg-2, .col-lg-3, .col-lg-4, .col-lg-5, .col-lg-6, .col-lg-7, .col-lg-8, .col-lg-9, .col-lg-10, .col-lg-11, .col-lg-12 {
            padding-left: 2px;
            padding-right: 2px;
        }

        .form-control {
            padding: 2px 2px;
        }

        fieldset {
            /*display: flow;*/
            display: flow-root;
            margin-top: 10px;
            margin-left: 0px;
            margin-bottom: 10px;
            margin-right: 0px;
            margin-inline-start: 0px;
            margin-inline-end: 0px;
            padding: 0px;
            padding-block-start: 0;
            padding-inline-start: 0px;
            padding-inline-end: 0;
            padding-block-end: 0;
            min-inline-size: min-content;
            border-width: 2px;
            /*border-style: groove;*/
            border-style: groove;
            border-color: rgb(192, 192, 192);
            border-image: initial;
            border-radius: 10px;
            padding-left: 10px;
            padding-top: 10px;
        }

            fieldset.mainp-2 {
                margin-inline-start: 0px;
                border-width: 2px;
                padding-left: 10px;
                padding-top: 10px;
            }

            fieldset.oner {
                padding-left: 10px;
                padding-top: 10px;
            }
    }
    /*Màn hình máy tính và lớn hơn*/
    @@media screen and (min-width: 720px) {
        fieldset {
            /*display: flow;*/
            display: flow-root;
            margin-top: 10px;
            margin-bottom: 10px;
            margin-inline-start: 20px;
            margin-inline-end: 0px;
            padding: 0px;
            padding-block-start: 0;
            padding-inline-start: 0px;
            padding-inline-end: 0;
            padding-block-end: 0;
            min-inline-size: min-content;
            border-width: 2px;
            /*border-style: groove;*/
            border-style: groove;
            border-color: rgb(192, 192, 192);
            border-image: initial;
            border-radius: 10px;
        }

            fieldset.mainp-2 {
                margin-inline-start: 0px;
                border-width: 4px;
                padding-left: 16px;
                padding-top: 10px;
            }

            fieldset.oner {
                padding-right: 0px;
            }

        .row {
            margin-left: 0;
            margin-right: 0;
            padding-left: 0;
            padding-right: 0;
        }

        .form-control {
            padding: 6px 8px;
        }

        .control-label {
            padding-right: 2px;
            padding-left: 5px;
        }

        .cont1 {
            margin-right: -12px;
            padding: 0;
        }

        .control-label.col-sm-4[for=belangTimeXaday] {
            margin-right: -10px;
        }
    }

    .form-horizontal .form-group {
        margin-left: 0px;
        margin-right: 0px;
    }
</style>

@using (Html.BeginForm())
{
    @Html.AntiForgeryToken()

    <div class="form-horizontal">
        @*<h4>Quản Lý Mẻ</h4>
        <hr />*@
        @Html.ValidationSummary(true, "", new { @class = "text-danger" })
        @Html.HiddenFor(model => model.ThongsovanhanhID)


        <!-- Thông tin mẻ-->
        <fieldset class="border p-2 mainp-2">
            <legend data-toggle="false" data-target="#thongtinme" class="float-none w-auto p-2 text-toggle " aria-expanded="true">
                <span class="text-collapsed"> <i class="fa-solid fa-circle-chevron-down"></i></span>
                @*<span class="text-expanded"> <i class="fa-solid fa-circle-chevron-up"></i></span>*@
                <span class="text-expanded"> <i class="fa-solid fa-circle"></i></span>
                <b>Thông tin mẻ @Model.ThongsovanhanhID  </b>

            </legend>
            <div id="thongtinme" class="collapse in">

                @*<div class="form-group row">
                    <div class="col">
                @Html.LabelFor(model => model.idMe, "ID của mẻ", htmlAttributes: new { @class = "control-label col-sm-1 required", style = "width: 12.499999995%" })
                @Html.LabelFor(model => model.idMe, "ID của mẻ", htmlAttributes: new { @class = "control-label col-sm-2 required" })
                <div class="col-sm-2">
                @Html.DisplayFor(model => model.idMe)
                @Html.EditorFor(model => model.idMe, new { htmlAttributes = new { @readonly = "readonly", @class = "form-control", @required = "required", @style = " font-weight: bold; text-align:center;font-size: 130%;" } })
                            @Html.ValidationMessageFor(model => model.idMe, "", new { @class = "text-danger" })

                        </div>
                    </div>

                </div>
                <div class="form-group row">
                        <div class="col">
                            @Html.LabelFor(model => model.CreateBy, "Người tạo", htmlAttributes: new { @class = "control-label col-md-2 required" })
                            <div class="col-sm-4">
                                @Html.EditorFor(model => model.CreateBy, new { htmlAttributes = new { @class = "form-control" } })
                                @Html.ValidationMessageFor(model => model.CreateBy, "", new { @class = "text-danger" })
                            </div>
                        </div>
                        <div class="col">
                            @Html.LabelFor(model => model.CreateDate, "Thời gian tạo mẻ", htmlAttributes: new { @class = "control-label col-md-2 required" })
                            <div class="col-sm-4">
                                @Html.EditorFor(model => model.CreateDate, new { htmlAttributes = new { @class = "form-control" } })
                                @Html.ValidationMessageFor(model => model.CreateDate, "", new { @class = "text-danger" })
                            </div>
                        </div>
                    </div>

                <a class="btn btn-default text-toggle minitotoggle" data-toggle="collapse" data-target="#demo" aria-expanded="false">
                        <span class="text-collapsed">More info  <i class="fa-solid fa-circle-chevron-down"> </i></span>
                        <span class="text-expanded">Less info  <i class="fa-solid fa-circle-chevron-up"> </i></span>
                    </a>

                    <div id="demo" class="form-group row collapse">

                    </div>*@

                <div class="form-group row">
                    <div class="col">
                        @Html.LabelFor(model => model.dayTimeFrom, htmlAttributes: new { @class = "control-label col-md-2 required" })
                        <div class="col-sm-4">

                            @Html.EditorFor(model => model.dayTimeFrom, new { htmlAttributes = new { @class = "form-control", @required = "required", @oninvalid = "this.setCustomValidity('Hãy nhập thời gian bắt đầu, không được bỏ trống')",
                                @oninput = "setCustomValidity('')" } })
                            @Html.ValidationMessageFor(model => model.dayTimeFrom, "", new { @class = "text-danger" })
                        </div>
                    </div>
                    <div class="col">
                        @Html.LabelFor(model => model.dayTimeTo, "Thời gian kết thúc", htmlAttributes: new { @class = "control-label col-md-2" })
                        <div class="col-sm-4">
                            @Html.EditorFor(model => model.dayTimeTo, new { htmlAttributes = new { @class = "form-control" } })
                            @Html.ValidationMessageFor(model => model.dayTimeTo, "", new { @class = "text-danger" })
                        </div>
                    </div>
                </div>

                @*<div class="form-group row">
                    <div class="col">
                        @Html.LabelFor(model => model.UpdateBy, "Người cập nhật", htmlAttributes: new { @class = "control-label col-md-2" })
                        <div class="col-sm-4">
                            @Html.EditorFor(model => model.UpdateBy, new { htmlAttributes = new { @class = "form-control" } })
                            @Html.ValidationMessageFor(model => model.UpdateBy, "", new { @class = "text-danger" })
                        </div>
                    </div>
                    <div class="col">
                        @Html.LabelFor(model => model.UpdateDate, "Ngày cập nhật", htmlAttributes: new { @class = "control-label col-md-2 required" })
                        <div class="col-sm-4">
                            @Html.EditorFor(model => model.UpdateDate, new { htmlAttributes = new { @readonly = "readonly", @class = "form-control" } })
                            @Html.ValidationMessageFor(model => model.UpdateDate, "", new { @class = "text-danger" })
                        </div>
                    </div>
                </div>*@



            </div>
        </fieldset>

        <!-- Bể gom -->
        <fieldset class="border p-2 oner">
            <legend data-toggle="collapse" data-target="#begom" class="float-none w-auto p-2 text-toggle" aria-expanded="true">
                <span class="text-collapsed"> <i class="fa-solid fa-circle-chevron-down"></i></span>
                <span class="text-expanded"> <i class="fa-solid fa-circle-chevron-up"></i></span>
                Bể gom

            </legend>
            <div id="begom" class="collapse in">


                <div class="form-group row">

                    @Html.LabelFor(model => model.begomTimeBom, htmlAttributes: new { @class = "control-label col-sm-2" })
                    <div class="col-sm-1">
                        @Html.EditorFor(model => model.begomTimeBom, new { htmlAttributes = new { @class = "form-control" } })
                        @Html.ValidationMessageFor(model => model.begomTimeBom, "", new { @class = "text-danger" })
                    </div>

                    @Html.LabelFor(model => model.begomPh, htmlAttributes: new { @class = "control-label col-sm-1" })
                    <div class="col-sm-1">
                        @Html.EditorFor(model => model.begomPh, new { htmlAttributes = new { @class = "form-control" } })
                        @Html.ValidationMessageFor(model => model.begomPh, "", new { @class = "text-danger" })
                    </div>

                </div>

                <div class="form-group row">

                    @Html.LabelFor(model => model.begomHoahocCod, htmlAttributes: new { @class = "control-label col-sm-2" })
                    <div class="col-sm-1">
                        @Html.EditorFor(model => model.begomHoahocCod, new { htmlAttributes = new { @class = "form-control" } })
                        @Html.ValidationMessageFor(model => model.begomHoahocCod, "", new { @class = "text-danger" })
                    </div>


                    @Html.LabelFor(model => model.begomHoahocTss, htmlAttributes: new { @class = "control-label col-sm-1" })
                    <div class="col-sm-1">
                        @Html.EditorFor(model => model.begomHoahocTss, new { htmlAttributes = new { @class = "form-control" } })
                        @Html.ValidationMessageFor(model => model.begomHoahocTss, "", new { @class = "text-danger" })
                    </div>


                    @Html.Raw(HttpUtility.HtmlDecode(Html.LabelFor(model => model.begomHoahocNt, htmlAttributes: new { @class = "control-label col-sm-1" }).ToHtmlString()))
                    @* @Html.LabelFor(model => model.begomHoahocNt, htmlAttributes: new { @class = "control-label col-sm-1" })*@
                    <div class="col-sm-1">
                        @Html.EditorFor(model => model.begomHoahocNt, new { htmlAttributes = new { @class = "form-control" } })
                        @Html.ValidationMessageFor(model => model.begomHoahocNt, "", new { @class = "text-danger" })
                    </div>


                    @Html.LabelFor(model => model.begomHoahocP, htmlAttributes: new { @class = "control-label col-sm-1" })
                    <div class="col-sm-1">
                        @Html.EditorFor(model => model.begomHoahocP, new { htmlAttributes = new { @class = "form-control" } })
                        @Html.ValidationMessageFor(model => model.begomHoahocP, "", new { @class = "text-danger" })
                    </div>

                </div>
            </div>
        </fieldset>
        <div class="row">
            <div class="col-sm-6" style="padding:0;">
                <!-- Cyclo Trộn -->
                <fieldset class="border p-2">
                    <legend data-toggle="false" data-target="#cyclotron" class="float-none w-auto p-2 text-toggle" aria-expanded="true">
                        <span class="text-collapsed"> <i class="fa-solid fa-circle-chevron-down"></i></span>
                        @*<span class="text-expanded"> <i class="fa-solid fa-circle-chevron-up"></i></span>*@
                        <span class="text-expanded"> <i class="fa-solid fa-circle"></i></span>
                        Cyclo trộn

                    </legend>
                    <div class="container" style="margin-right: -12px;padding:0;">
                        <div id="cyclotron" class="collapse in">
                            <div class="form-group">
                                @Html.LabelFor(model => model.cyclotronTimeXaday, htmlAttributes: new { @class = "control-label col-sm-4" })
                                <div class="col-sm-2">
                                    @Html.EditorFor(model => model.cyclotronTimeXaday, new { htmlAttributes = new { @class = "form-control" } })
                                    @Html.ValidationMessageFor(model => model.cyclotronTimeXaday, "", new { @class = "text-danger" })
                                </div>
                            </div>
                        </div>
                    </div>
                </fieldset>
            </div>
            <div class="col-sm-6" style="padding:0;">


                <!-- Bể lắng -->
                <fieldset class="border p-2">
                    <legend data-toggle="false" data-target="#belang" class="float-none w-auto p-2 text-toggle" aria-expanded="true">
                        <span class="text-collapsed"> <i class="fa-solid fa-circle-chevron-down"></i></span>
                        @*<span class="text-expanded"> <i class="fa-solid fa-circle-chevron-up"></i></span>*@
                        <span class="text-expanded"> <i class="fa-solid fa-circle"></i></span>
                        Bể lắng

                    </legend>

                    <div class="container cont1">
                        <div id="belang" class="collapse in">
                            <div class="form-group">
                                @Html.LabelFor(model => model.belangTimeXaday, htmlAttributes: new { @class = "control-label col-sm-4" })
                                <div class="col-sm-2">
                                    @Html.EditorFor(model => model.belangTimeXaday, new { htmlAttributes = new { @class = "form-control" } })
                                    @Html.ValidationMessageFor(model => model.belangTimeXaday, "", new { @class = "text-danger" })
                                </div>
                            </div>
                        </div>
                    </div>
                </fieldset>
            </div>
        </div>
        <!-- Bơm hoá chất -->
        <fieldset class="border p-2 oner">
            <legend data-toggle="false" data-target="#bomhoachat" class="float-none w-auto p-2 text-toggle" aria-expanded="true">
                <span class="text-collapsed"> <i class="fa-solid fa-circle-chevron-down"></i></span>
                @*<span class="text-expanded"> <i class="fa-solid fa-circle-chevron-up"></i></span>*@
                <span class="text-expanded"> <i class="fa-solid fa-circle"></i></span>
                Bơm hoá chất

            </legend>
            <div id="bomhoachat" class="collapse in">
                <div class="form-group row">
                    <div class="col">
                        @Html.LabelFor(model => model.bomhoachatNongdo, htmlAttributes: new { @class = "control-label col-md-2" })
                        <div class="col-sm-1">
                            @Html.EditorFor(model => model.bomhoachatNongdo, new { htmlAttributes = new { @class = "form-control" } })
                            @Html.ValidationMessageFor(model => model.bomhoachatNongdo, "", new { @class = "text-danger" })
                        </div>
                    </div>
                    <div class="col">
                        @Html.LabelFor(model => model.bomhoachatTimeBom, htmlAttributes: new { @class = "control-label col-md-2" })
                        <div class="col-sm-1">
                            @Html.EditorFor(model => model.bomhoachatTimeBom, new { htmlAttributes = new { @class = "form-control" } })
                            @Html.ValidationMessageFor(model => model.bomhoachatTimeBom, "", new { @class = "text-danger" })
                        </div>
                    </div>
                </div>
            </div>
        </fieldset>

        <!-- Bể điều hoà -->
        <fieldset class="border p-2 oner">
            <legend data-toggle="false" data-target="#bedieuhoa" class="float-none w-auto p-2 text-toggle" aria-expanded="true">
                <span class="text-collapsed"> <i class="fa-solid fa-circle-chevron-down"></i></span>
                @*<span class="text-expanded"> <i class="fa-solid fa-circle-chevron-up"></i></span>*@
                <span class="text-expanded"> <i class="fa-solid fa-circle"></i></span>
                Bể điều hoà

            </legend>
            <div id="bedieuhoa" class="collapse in">
                <div class="form-group row">

                    <div class="col">
                        @Html.LabelFor(model => model.bedieuhoaTimeBom, htmlAttributes: new { @class = "control-label col-sm-2" })
                        <div class="col-sm-1">
                            @Html.EditorFor(model => model.bedieuhoaTimeBom, new { htmlAttributes = new { @class = "form-control" } })
                            @Html.ValidationMessageFor(model => model.bedieuhoaTimeBom, "", new { @class = "text-danger" })
                        </div>
                    </div>

                    <div class="col">
                        @Html.LabelFor(model => model.bedieuhoaTimeThoikhi, htmlAttributes: new { @class = "control-label col-sm-2" })
                        <div class="col-sm-1">
                            @Html.EditorFor(model => model.bedieuhoaTimeThoikhi, new { htmlAttributes = new { @class = "form-control" } })
                            @Html.ValidationMessageFor(model => model.bedieuhoaTimeThoikhi, "", new { @class = "text-danger" })
                        </div>
                    </div>
                    <div class="col">
                        @Html.LabelFor(model => model.bedieuhoaDo, htmlAttributes: new { @class = "control-label col-sm-2" })
                        <div class="col-sm-1">
                            @Html.EditorFor(model => model.bomhoachatNongdo, new { htmlAttributes = new { @class = "form-control" } })
                            @Html.ValidationMessageFor(model => model.bomhoachatNongdo, "", new { @class = "text-danger" })
                        </div>
                    </div>
                </div>
            </div>
        </fieldset>

        <!-- Bể SBR1 -->
        <fieldset class="border p-2 oner">
            <legend data-toggle="collapse" data-target="#besbr1" class="float-none w-auto p-2 text-toggle " aria-expanded="true">
                <span class="text-collapsed"> <i class="fa-solid fa-circle-chevron-down"></i></span>
                <span class="text-expanded"> <i class="fa-solid fa-circle-chevron-up"></i></span>
                Bể SBR1

            </legend>
            <div id="besbr1" class="collapse in">

                <div class="form-group row">
                    <div class="col">
                        @Html.LabelFor(model => model.besbr1Ph, htmlAttributes: new { @class = "control-label col-sm-2" })
                        <div class="col-sm-1">
                            @Html.EditorFor(model => model.besbr1Ph, new { htmlAttributes = new { @class = "form-control" } })
                            @Html.ValidationMessageFor(model => model.besbr1Ph, "", new { @class = "text-danger" })
                        </div>

                    </div>
                    <div class="col">
                        @Html.LabelFor(model => model.besbr1Do, htmlAttributes: new { @class = "control-label col-sm-1" })
                        <div class="col-sm-1">
                            @Html.EditorFor(model => model.besbr1Do, new { htmlAttributes = new { @class = "form-control" } })
                            @Html.ValidationMessageFor(model => model.besbr1Do, "", new { @class = "text-danger" })
                        </div>
                    </div>
                    <div class="col">
                        @Html.Raw(HttpUtility.HtmlDecode(Html.LabelFor(model => model.besbr1Vl, htmlAttributes: new { @class = "control-label col-sm-1" }).ToHtmlString()))
                        @* @Html.LabelFor(model => model.besbr1Vl, htmlAttributes: new { @class = "control-label col-sm-1" })*@
                        <div class="col-sm-1">
                            @Html.EditorFor(model => model.besbr1Vl, new { htmlAttributes = new { @class = "form-control" } })
                            @Html.ValidationMessageFor(model => model.besbr1Vl, "", new { @class = "text-danger" })
                        </div>
                    </div>
                </div>

                <div class="form-group row">
                    <div class="col">
                        @Html.LabelFor(model => model.besbr1HoahocCod, htmlAttributes: new { @class = "control-label col-sm-2" })
                        <div class="col-sm-1">
                            @Html.EditorFor(model => model.besbr1HoahocCod, new { htmlAttributes = new { @class = "form-control" } })
                            @Html.ValidationMessageFor(model => model.besbr1HoahocCod, "", new { @class = "text-danger" })
                        </div>
                    </div>
                    <div class="col">
                        @Html.LabelFor(model => model.besbr1HoahocTss, htmlAttributes: new { @class = "control-label col-sm-1" })
                        <div class="col-sm-1">
                            @Html.EditorFor(model => model.besbr1HoahocTss, new { htmlAttributes = new { @class = "form-control" } })
                            @Html.ValidationMessageFor(model => model.besbr1HoahocTss, "", new { @class = "text-danger" })
                        </div>
                    </div>
                    <div class="col">
                        @Html.Raw(HttpUtility.HtmlDecode(Html.LabelFor(model => model.besbr1HoahocNt, htmlAttributes: new { @class = "control-label col-sm-1" }).ToHtmlString()))

                        @*@Html.LabelFor(model => model., htmlAttributes: new { @class = "control-label col-sm-1" })*@
                        <div class="col-sm-1">
                            @Html.EditorFor(model => model.besbr1HoahocNt, new { htmlAttributes = new { @class = "form-control" } })
                            @Html.ValidationMessageFor(model => model.besbr1HoahocNt, "", new { @class = "text-danger" })
                        </div>
                    </div>
                    <div class="col">
                        @Html.LabelFor(model => model.besbr1HoahocP, htmlAttributes: new { @class = "control-label col-sm-1" })
                        <div class="col-sm-1">
                            @Html.EditorFor(model => model.besbr1HoahocP, new { htmlAttributes = new { @class = "form-control" } })
                            @Html.ValidationMessageFor(model => model.besbr1HoahocP, "", new { @class = "text-danger" })
                        </div>
                    </div>

                </div>

                <div class="form-group row">

                    <div class="col">
                        @Html.LabelFor(model => model.besbr1TimeLamday, htmlAttributes: new { @class = "control-label col-sm-2" })
                        <div class="col-sm-1">
                            @Html.EditorFor(model => model.besbr1TimeLamday, new { htmlAttributes = new { @class = "form-control" } })
                            @Html.ValidationMessageFor(model => model.besbr1TimeLamday, "", new { @class = "text-danger" })
                        </div>
                    </div>

                    <div class="col">
                        @Html.LabelFor(model => model.besbr1TimeXuly, htmlAttributes: new { @class = "control-label col-sm-3" })
                        <div class="col-sm-1">
                            @Html.EditorFor(model => model.besbr1TimeXuly, new { htmlAttributes = new { @class = "form-control" } })
                            @Html.ValidationMessageFor(model => model.besbr1TimeXuly, "", new { @class = "text-danger" })
                        </div>
                    </div>
                </div>
                <div class="form-group row">

                    <div class="col">
                        @Html.LabelFor(model => model.besbr1TimeLang, htmlAttributes: new { @class = "control-label col-sm-2" })
                        <div class="col-sm-1">
                            @Html.EditorFor(model => model.besbr1TimeLang, new { htmlAttributes = new { @class = "form-control" } })
                            @Html.ValidationMessageFor(model => model.besbr1TimeLang, "", new { @class = "text-danger" })
                        </div>
                    </div>

                    <div class="col">
                        @Html.LabelFor(model => model.besbr1TimeXa, htmlAttributes: new { @class = "control-label col-sm-3" })
                        <div class="col-sm-1">
                            @Html.EditorFor(model => model.besbr1TimeXa, new { htmlAttributes = new { @class = "form-control" } })
                            @Html.ValidationMessageFor(model => model.besbr1TimeXa, "", new { @class = "text-danger" })
                        </div>
                    </div>
                </div>

                <div class="form-group row">

                    <div class="col">
                        @Html.LabelFor(model => model.besbr1TimeCho, htmlAttributes: new { @class = "control-label col-sm-2" })
                        <div class="col-sm-1">
                            @Html.EditorFor(model => model.besbr1TimeCho, new { htmlAttributes = new { @class = "form-control" } })
                            @Html.ValidationMessageFor(model => model.besbr1TimeCho, "", new { @class = "text-danger" })
                        </div>
                    </div>

                    <div class="col">
                        @Html.LabelFor(model => model.besbr1TimeBombun, htmlAttributes: new { @class = "control-label col-sm-3" })
                        <div class="col-sm-1">
                            @Html.EditorFor(model => model.besbr1TimeBombun, new { htmlAttributes = new { @class = "form-control" } })
                            @Html.ValidationMessageFor(model => model.besbr1TimeBombun, "", new { @class = "text-danger" })
                        </div>
                    </div>
                </div>
            </div>
        </fieldset>

        <!-- Bể SBR2 -->
        <fieldset class="border p-2 oner">
            <legend data-toggle="collapse" data-target="#besbr2" class="float-none w-auto p-2 text-toggle " aria-expanded="true">
                <span class="text-collapsed"> <i class="fa-solid fa-circle-chevron-down"></i></span>
                <span class="text-expanded"> <i class="fa-solid fa-circle-chevron-up"></i></span>
                Bể SBR2

            </legend>
            <div id="besbr2" class="collapse in">

                <div class="form-group row">
                    <div class="col">
                        @Html.LabelFor(model => model.besbr2Ph, htmlAttributes: new { @class = "control-label col-sm-2" })
                        <div class="col-sm-1">
                            @Html.EditorFor(model => model.besbr2Ph, new { htmlAttributes = new { @class = "form-control" } })
                            @Html.ValidationMessageFor(model => model.besbr2Ph, "", new { @class = "text-danger" })
                        </div>

                    </div>
                    <div class="col">
                        @Html.LabelFor(model => model.besbr2Do, htmlAttributes: new { @class = "control-label col-sm-1" })
                        <div class="col-sm-1">
                            @Html.EditorFor(model => model.besbr2Do, new { htmlAttributes = new { @class = "form-control" } })
                            @Html.ValidationMessageFor(model => model.besbr2Do, "", new { @class = "text-danger" })
                        </div>
                    </div>
                    <div class="col">
                        @Html.Raw(HttpUtility.HtmlDecode(Html.LabelFor(model => model.besbr2Vl, htmlAttributes: new { @class = "control-label col-sm-1" }).ToHtmlString()))

                        @*@Html.LabelFor(model => model.besbr2Vl, htmlAttributes: new { @class = "control-label col-sm-1" })*@
                        <div class="col-sm-1">
                            @Html.EditorFor(model => model.besbr2Vl, new { htmlAttributes = new { @class = "form-control" } })
                            @Html.ValidationMessageFor(model => model.besbr2Vl, "", new { @class = "text-danger" })
                        </div>
                    </div>
                </div>

                <div class="form-group row">
                    <div class="col">
                        @Html.LabelFor(model => model.besbr2HoahocCod, htmlAttributes: new { @class = "control-label col-sm-2" })
                        <div class="col-sm-1">
                            @Html.EditorFor(model => model.besbr2HoahocCod, new { htmlAttributes = new { @class = "form-control" } })
                            @Html.ValidationMessageFor(model => model.besbr2HoahocCod, "", new { @class = "text-danger" })
                        </div>
                    </div>
                    <div class="col">
                        @Html.LabelFor(model => model.besbr2HoahocTss, htmlAttributes: new { @class = "control-label col-sm-1" })
                        <div class="col-sm-1">
                            @Html.EditorFor(model => model.besbr2HoahocTss, new { htmlAttributes = new { @class = "form-control" } })
                            @Html.ValidationMessageFor(model => model.besbr2HoahocTss, "", new { @class = "text-danger" })
                        </div>
                    </div>
                    <div class="col">
                        @Html.Raw(HttpUtility.HtmlDecode(Html.LabelFor(model => model.besbr2HoahocNt, htmlAttributes: new { @class = "control-label col-sm-1" }).ToHtmlString()))

                        @*@Html.LabelFor(model => model.besbr2HoahocNt, htmlAttributes: new { @class = "control-label col-sm-1" })*@
                        <div class="col-sm-1">
                            @Html.EditorFor(model => model.besbr2HoahocNt, new { htmlAttributes = new { @class = "form-control" } })
                            @Html.ValidationMessageFor(model => model.besbr2HoahocNt, "", new { @class = "text-danger" })
                        </div>
                    </div>
                    <div class="col">
                        @Html.LabelFor(model => model.besbr2HoahocP, htmlAttributes: new { @class = "control-label col-sm-1" })
                        <div class="col-sm-1">
                            @Html.EditorFor(model => model.besbr2HoahocP, new { htmlAttributes = new { @class = "form-control" } })
                            @Html.ValidationMessageFor(model => model.besbr2HoahocP, "", new { @class = "text-danger" })
                        </div>
                    </div>

                </div>

                <div class="form-group row">

                    <div class="col">
                        @Html.LabelFor(model => model.besbr2TimeLamday, htmlAttributes: new { @class = "control-label col-sm-2" })
                        <div class="col-sm-1">
                            @Html.EditorFor(model => model.besbr2TimeLamday, new { htmlAttributes = new { @class = "form-control" } })
                            @Html.ValidationMessageFor(model => model.besbr2TimeLamday, "", new { @class = "text-danger" })
                        </div>
                    </div>

                    <div class="col">
                        @Html.LabelFor(model => model.besbr2TimeXuly, htmlAttributes: new { @class = "control-label col-sm-3" })
                        <div class="col-sm-1">
                            @Html.EditorFor(model => model.besbr2TimeXuly, new { htmlAttributes = new { @class = "form-control" } })
                            @Html.ValidationMessageFor(model => model.besbr2TimeXuly, "", new { @class = "text-danger" })
                        </div>
                    </div>
                </div>
                <div class="form-group row">

                    <div class="col">
                        @Html.LabelFor(model => model.besbr2TimeLang, htmlAttributes: new { @class = "control-label col-sm-2" })
                        <div class="col-sm-1">
                            @Html.EditorFor(model => model.besbr2TimeLang, new { htmlAttributes = new { @class = "form-control" } })
                            @Html.ValidationMessageFor(model => model.besbr2TimeLang, "", new { @class = "text-danger" })
                        </div>
                    </div>

                    <div class="col">
                        @Html.LabelFor(model => model.besbr2TimeXa, htmlAttributes: new { @class = "control-label col-sm-3" })
                        <div class="col-sm-1">
                            @Html.EditorFor(model => model.besbr2TimeXa, new { htmlAttributes = new { @class = "form-control" } })
                            @Html.ValidationMessageFor(model => model.besbr2TimeXa, "", new { @class = "text-danger" })
                        </div>
                    </div>
                </div>

                <div class="form-group row">

                    <div class="col">
                        @Html.LabelFor(model => model.besbr2TimeCho, htmlAttributes: new { @class = "control-label col-sm-2" })
                        <div class="col-sm-1">
                            @Html.EditorFor(model => model.besbr2TimeCho, new { htmlAttributes = new { @class = "form-control" } })
                            @Html.ValidationMessageFor(model => model.besbr2TimeCho, "", new { @class = "text-danger" })
                        </div>
                    </div>

                    <div class="col">
                        @Html.LabelFor(model => model.besbr2TimeBombun, htmlAttributes: new { @class = "control-label col-sm-3" })
                        <div class="col-sm-1">
                            @Html.EditorFor(model => model.besbr2TimeBombun, new { htmlAttributes = new { @class = "form-control" } })
                            @Html.ValidationMessageFor(model => model.besbr2TimeBombun, "", new { @class = "text-danger" })
                        </div>
                    </div>
                </div>
            </div>
        </fieldset>

        <!-- Máy ép bùn -->
        <fieldset class="border p-2">
            <legend data-toggle="false" data-target="#bomhoachat" class="float-none w-auto p-2 text-toggle" aria-expanded="true">
                <span class="text-collapsed"> <i class="fa-solid fa-circle-chevron-down"></i></span>
                @*<span class="text-expanded"> <i class="fa-solid fa-circle-chevron-up"></i></span>*@
                <span class="text-expanded"> <i class="fa-solid fa-circle"></i></span>
                Máy ép bùn

            </legend>
            <div id="bomhoachat" class="collapse in">
                <div class="form-group row">
                    <div class="col">
                        @Html.LabelFor(model => model.mayepbunTimeHoatdong, htmlAttributes: new { @class = "control-label col-md-2" })
                        <div class="col-sm-1">
                            @Html.EditorFor(model => model.mayepbunTimeHoatdong, new { htmlAttributes = new { @class = "form-control" } })
                            @Html.ValidationMessageFor(model => model.mayepbunTimeHoatdong, "", new { @class = "text-danger" })
                        </div>
                    </div>
                    <div class="col">
                        @Html.LabelFor(model => model.mayepbunKhoiluongbunkho, htmlAttributes: new { @class = "control-label col-sm-3" })
                        <div class="col-sm-1">
                            @Html.EditorFor(model => model.mayepbunKhoiluongbunkho, new { htmlAttributes = new { @class = "form-control" } })
                            @Html.ValidationMessageFor(model => model.mayepbunKhoiluongbunkho, "", new { @class = "text-danger" })
                        </div>
                    </div>
                </div>
            </div>
        </fieldset>

        <div class="form-group">
            <div class="col-sm-2" style="float:left;">
                <input type="button" value="Trở lại danh sách mẻ" class="btn btn-default" onclick="location.href='@Url.Action("Index", "ThongTinMes")'" />
            </div>
            <div class="col-sm-4" style="float:right;">
                <input type="submit" value="Lưu chỉnh sửa" class="btn btn-primary btn-block" />
            </div>
        </div>
    </div>

}


<script>
    //const button = document.getElementById("p2");
    ////button.addEventListener('click', () => {
    ////    button.ariaExpanded = !JSON.parse(button.ariaExpanded);
    ////})

    //button.addEventListener("click", function (event) {
    //    button.ariaExpanded = !JSON.parse(button.ariaExpanded);
    //});

@* COLLAPSE BUTTON BOOTSTRAP3.0 *@

 
    var toggler = document.querySelectorAll('[data-toggle="collapse"]');
    var i;
    for (i = 0; i < toggler.length; i++) {
        toggler[i].addEventListener("click", function () {
            this.ariaExpanded = !JSON.parse(this.ariaExpanded);
        });
    }

    //function ChangeLegend() {
    //    debugger;
    //    var x = document.getElementById("p2").getAttribute("aria-expanded");
    //    if (x == "true") {
    //        x = "false"
    //    } else {
    //        x = "true"
    //    }
    //    document.getElementById("p2").setAttribute("aria-expanded", x);
    //}
</script>
